//patches.h
//Copyright (C) 2008 by raven
//This is Free Software released under the GNU/GPL License.

#ifndef _PATCHES_H_
#define _PATCHES_H_

#include "patch.h"

#define PATCH_COUNT 6

patch_t ptch[PATCH_COUNT] = {
	{
		{"No health check"},
		{
			0x41, 0x81, 0x00, 0x10, //bgt     l_check_pad_connected
			0x88, 0x1D, 0x00, 0x7D  //lbz     %r0, 0x7D(%r29)
		},
		{
			0x48, 0x00, 0x00, 0x34  //b       l_start_menu
		},
		8, 4, 0
	},
	{
		{"No background music"},
		{
			0x38, 0x63, 0x00, 0x34, //addi    %r3, %r3, 0x34
			0x48, 0x00, 0x00, 0x21  //bl      startSound
		},
		{
			0x48, 0x00, 0x00, 0x10  //b       l_out
		},
		8, 4, 4
	},
	{
		{"No sound.bin"},
		{"sound.bin"},
		{"x"},
		9, 1, 0
	},
	{
		{"Region JP"},
		{
			0x3B, 0xDE, 0x35, 0xA0, //addi    %r30, %r30, byte_816535A0@l
			0x4B, 0xFF, 0xFE, 0x5D  //bl      __SCF1
		},
		{
			0x38, 0x60, 0x00, 0x00, //li      %r3, 0
			0x48, 0x00, 0x00, 0x44  //b       l_out
		},
		8, 9, 0
	},
	{
		{"Region US"},
		{
			0x3B, 0xDE, 0x35, 0xA0, //addi    %r30, %r30, byte_816535A0@l
			0x4B, 0xFF, 0xFE, 0x5D  //bl      __SCF1
		},
		{
			0x38, 0x60, 0x00, 0x01, //li      %r3, 1
			0x48, 0x00, 0x00, 0x44  //b       l_out
		},
		8, 9, 0
	},
	{
		{"Region EU"},
		{
			0x3B, 0xDE, 0x35, 0xA0, //addi    %r30, %r30, byte_816535A0@l
			0x4B, 0xFF, 0xFE, 0x5D  //bl      __SCF1
		},
		{
			0x38, 0x60, 0x00, 0x02, //li      %r3, 2
			0x48, 0x00, 0x00, 0x44  //b       l_out
		},
		8, 9, 0
	}
};

#endif
