//patch.c
//Copyright (C) 2008 by raven
//This is Free Software released under the GNU/GPL License.

#include <string.h>
#include <gccore.h>

#include "patch.h"

u32 do_patch(u8 *start_addr, unsigned int search_len, patch_t *patch)
{
	int cnt = 0;
	unsigned int i, end = search_len - patch->old_size;
	
	for(i = 0; i < end; i++)
	{
		if(memcmp(&start_addr[i], patch->old_tab, patch->old_size) == 0)
		{
			memcpy(&start_addr[i] + patch->new_offset, patch->new_tab, patch->new_size);
			DCFlushRange(&start_addr[i] + patch->new_offset, patch->new_size);
			i += patch->old_size;
			cnt++;
			continue;
		}
	}
	
	return cnt;
}
